%global momorel 1
%global artsver 1.5.3
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: A KDE FTP Client
Name: kasablanca
Version: 0.4.0.2
Release: %{momorel}m
License: GPL
URL: http://kasablanca.berlios.de/
Group: Applications/Internet
%NoSource 0 http://download.berlios.de/kasablanca/%{name}-%{version}.tar.gz 033bec75f0dac75c1dd892392a4a01ae
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: openssl-devel
BuildPreReq: libart_lgpl-devel, zlib-devel
BuildPreReq: libpng-devel, libjpeg-devel
BuildPreReq: desktop-file-utils

%description
Kasablanca is a KDE ftp client.

Its main features are:

- advanced ftp operations like resumed and recursive transfers
- direct remote to remote transfer (fxp)
- ftps encryption on both control and data connection
- enqeueing of files and directories
- high configurability

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kasablanca.png %{buildroot}%{_datadir}/pixmaps/kasablanca.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Network \
  --add-category Application \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/kasablanca.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/kasablanca
%{_datadir}/applications/kde/kasablanca.desktop
%{_datadir}/apps/kasablanca
%{_datadir}/config.kcfg/kbconfig.kcfg
%{_datadir}/doc/HTML/en/kasablanca
%{_datadir}/icons/*/*/apps/kasablanca.png
%{_datadir}/locale/*/LC_MESSAGES/kasablanca.mo
%{_datadir}/pixmaps/kasablanca.png

%changelog
* Sat Jul 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0.2-1m)
- initial package for Momonga Linux
